# nucleus_client
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.6.0
- Package version: 0.5.2
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import nucleus_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import nucleus_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import nucleus_client
from nucleus_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
nucleus_client.configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# nucleus_client.configuration.api_key_prefix['Authorization'] = 'Bearer'
# Configure API key authorization: jwt
nucleus_client.configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# nucleus_client.configuration.api_key_prefix['Authorization'] = 'Bearer'
# create an instance of the API class
api_instance = nucleus_client.DefaultApi()
client_code = 'client_code_example' # str | Code of the client to activate

try:
    api_instance.activate_client(client_code)
except ApiException as e:
    print("Exception when calling DefaultApi->activate_client: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8080*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**activate_client**](docs/DefaultApi.md#activate_client) | **POST** /clients/activate/code-{client_code} | 
*DefaultApi* | [**activate_user**](docs/DefaultApi.md#activate_user) | **POST** /user-activations/{activation_key} | 
*DefaultApi* | [**add_api_key**](docs/DefaultApi.md#add_api_key) | **POST** /api-keys | 
*DefaultApi* | [**add_block_type**](docs/DefaultApi.md#add_block_type) | **POST** /block-types | 
*DefaultApi* | [**add_client**](docs/DefaultApi.md#add_client) | **POST** /clients | 
*DefaultApi* | [**add_dataset**](docs/DefaultApi.md#add_dataset) | **POST** /datasets | 
*DefaultApi* | [**add_dataset_type**](docs/DefaultApi.md#add_dataset_type) | **POST** /dataset-types | 
*DefaultApi* | [**add_integration**](docs/DefaultApi.md#add_integration) | **POST** /integrations | 
*DefaultApi* | [**add_integration_type**](docs/DefaultApi.md#add_integration_type) | **POST** /integration-types | 
*DefaultApi* | [**add_role**](docs/DefaultApi.md#add_role) | **POST** /roles | 
*DefaultApi* | [**add_role_permission**](docs/DefaultApi.md#add_role_permission) | **POST** /role-permissions | 
*DefaultApi* | [**add_user**](docs/DefaultApi.md#add_user) | **POST** /users | 
*DefaultApi* | [**add_user_role**](docs/DefaultApi.md#add_user_role) | **POST** /user-roles | 
*DefaultApi* | [**add_view**](docs/DefaultApi.md#add_view) | **POST** /views | 
*DefaultApi* | [**add_view_type**](docs/DefaultApi.md#add_view_type) | **POST** /view-types | 
*DefaultApi* | [**add_widget_type**](docs/DefaultApi.md#add_widget_type) | **POST** /widget-types | 
*DefaultApi* | [**change_password**](docs/DefaultApi.md#change_password) | **POST** /password-changes/{user_id} | 
*DefaultApi* | [**create_client_package**](docs/DefaultApi.md#create_client_package) | **POST** /client-packages/create | 
*DefaultApi* | [**create_full_page**](docs/DefaultApi.md#create_full_page) | **POST** /pages/full | 
*DefaultApi* | [**delete_activity_by_external_key**](docs/DefaultApi.md#delete_activity_by_external_key) | **DELETE** /activities/external-key-{external_key} | 
*DefaultApi* | [**delete_api_key**](docs/DefaultApi.md#delete_api_key) | **DELETE** /api-keys/{user_id} | 
*DefaultApi* | [**delete_block_type**](docs/DefaultApi.md#delete_block_type) | **DELETE** /block-types/{block_type_id} | 
*DefaultApi* | [**delete_client**](docs/DefaultApi.md#delete_client) | **DELETE** /clients/{client_id} | 
*DefaultApi* | [**delete_dataset**](docs/DefaultApi.md#delete_dataset) | **DELETE** /datasets/{dataset_id} | 
*DefaultApi* | [**delete_dataset_type**](docs/DefaultApi.md#delete_dataset_type) | **DELETE** /dataset-types/{dataset_type_id} | 
*DefaultApi* | [**delete_integration**](docs/DefaultApi.md#delete_integration) | **DELETE** /integrations/{integration_id} | 
*DefaultApi* | [**delete_page**](docs/DefaultApi.md#delete_page) | **DELETE** /pages/{page_id} | 
*DefaultApi* | [**delete_page_preferences_by_page**](docs/DefaultApi.md#delete_page_preferences_by_page) | **DELETE** /page-preferences/page-id-{page_id} | 
*DefaultApi* | [**delete_user**](docs/DefaultApi.md#delete_user) | **DELETE** /users/{user_id} | 
*DefaultApi* | [**delete_view_type**](docs/DefaultApi.md#delete_view_type) | **DELETE** /view-types/{view_type_id} | 
*DefaultApi* | [**delete_widget_type**](docs/DefaultApi.md#delete_widget_type) | **DELETE** /widget-types/{widget_type_id} | 
*DefaultApi* | [**get_activities**](docs/DefaultApi.md#get_activities) | **GET** /activities | 
*DefaultApi* | [**get_api_key**](docs/DefaultApi.md#get_api_key) | **GET** /api-keys/{user_id} | 
*DefaultApi* | [**get_api_keys**](docs/DefaultApi.md#get_api_keys) | **GET** /api-keys | 
*DefaultApi* | [**get_block_type**](docs/DefaultApi.md#get_block_type) | **GET** /block-types/{block_type_id} | 
*DefaultApi* | [**get_block_type_by_name**](docs/DefaultApi.md#get_block_type_by_name) | **GET** /block-types/name-{block_type_name} | 
*DefaultApi* | [**get_block_types**](docs/DefaultApi.md#get_block_types) | **GET** /block-types | 
*DefaultApi* | [**get_client**](docs/DefaultApi.md#get_client) | **GET** /clients/{client_id} | 
*DefaultApi* | [**get_client_by_code**](docs/DefaultApi.md#get_client_by_code) | **GET** /clients/code-{client_code} | 
*DefaultApi* | [**get_client_packages**](docs/DefaultApi.md#get_client_packages) | **GET** /client-packages | 
*DefaultApi* | [**get_clients**](docs/DefaultApi.md#get_clients) | **GET** /clients | 
*DefaultApi* | [**get_completed_jobs**](docs/DefaultApi.md#get_completed_jobs) | **GET** /admin/jobs/completed | 
*DefaultApi* | [**get_dataset**](docs/DefaultApi.md#get_dataset) | **GET** /datasets/{dataset_id} | 
*DefaultApi* | [**get_dataset_by_name**](docs/DefaultApi.md#get_dataset_by_name) | **GET** /datasets/name-{dataset_name} | 
*DefaultApi* | [**get_dataset_by_slug**](docs/DefaultApi.md#get_dataset_by_slug) | **GET** /datasets/slug-{dataset_slug} | 
*DefaultApi* | [**get_dataset_type**](docs/DefaultApi.md#get_dataset_type) | **GET** /dataset-types/{dataset_type_id} | 
*DefaultApi* | [**get_dataset_type_by_name**](docs/DefaultApi.md#get_dataset_type_by_name) | **GET** /dataset-types/name-{dataset_type_name} | 
*DefaultApi* | [**get_dataset_types**](docs/DefaultApi.md#get_dataset_types) | **GET** /dataset-types | 
*DefaultApi* | [**get_datasets**](docs/DefaultApi.md#get_datasets) | **GET** /datasets | 
*DefaultApi* | [**get_entity_batch**](docs/DefaultApi.md#get_entity_batch) | **GET** /entity-batches/{batch_id} | 
*DefaultApi* | [**get_entity_batch_health_report**](docs/DefaultApi.md#get_entity_batch_health_report) | **GET** /admin/entity-batches/health | 
*DefaultApi* | [**get_entity_batches**](docs/DefaultApi.md#get_entity_batches) | **GET** /entity-batches | 
*DefaultApi* | [**get_incomplete_jobs**](docs/DefaultApi.md#get_incomplete_jobs) | **GET** /admin/jobs/incomplete | 
*DefaultApi* | [**get_integration**](docs/DefaultApi.md#get_integration) | **GET** /integrations/{integration_id} | 
*DefaultApi* | [**get_integration_type**](docs/DefaultApi.md#get_integration_type) | **GET** /integration-types/{integration_type_id} | 
*DefaultApi* | [**get_integration_type_by_name**](docs/DefaultApi.md#get_integration_type_by_name) | **GET** /integration-types/name-{integration_type_name} | 
*DefaultApi* | [**get_integration_types**](docs/DefaultApi.md#get_integration_types) | **GET** /integration-types | 
*DefaultApi* | [**get_integrations**](docs/DefaultApi.md#get_integrations) | **GET** /integrations | 
*DefaultApi* | [**get_job_overview**](docs/DefaultApi.md#get_job_overview) | **GET** /admin/jobs/overview | 
*DefaultApi* | [**get_me**](docs/DefaultApi.md#get_me) | **GET** /users/me | 
*DefaultApi* | [**get_page**](docs/DefaultApi.md#get_page) | **GET** /pages/{page_id} | 
*DefaultApi* | [**get_page_by_slug**](docs/DefaultApi.md#get_page_by_slug) | **GET** /pages/slug-{slug} | 
*DefaultApi* | [**get_page_preferences**](docs/DefaultApi.md#get_page_preferences) | **GET** /page-preferences | 
*DefaultApi* | [**get_page_preferences_by_page**](docs/DefaultApi.md#get_page_preferences_by_page) | **GET** /page-preferences/page-id-{page_id} | 
*DefaultApi* | [**get_pages**](docs/DefaultApi.md#get_pages) | **GET** /pages | 
*DefaultApi* | [**get_role**](docs/DefaultApi.md#get_role) | **GET** /roles/{role_id} | 
*DefaultApi* | [**get_role_by_name**](docs/DefaultApi.md#get_role_by_name) | **GET** /roles/name-{role_name} | 
*DefaultApi* | [**get_role_by_slug**](docs/DefaultApi.md#get_role_by_slug) | **GET** /roles/slug-{role_slug} | 
*DefaultApi* | [**get_role_permission**](docs/DefaultApi.md#get_role_permission) | **GET** /role-permissions/{role_permission_id} | 
*DefaultApi* | [**get_role_permissions**](docs/DefaultApi.md#get_role_permissions) | **GET** /role-permissions | 
*DefaultApi* | [**get_roles**](docs/DefaultApi.md#get_roles) | **GET** /roles | 
*DefaultApi* | [**get_user**](docs/DefaultApi.md#get_user) | **GET** /users/{user_id} | 
*DefaultApi* | [**get_user_by_activation_key**](docs/DefaultApi.md#get_user_by_activation_key) | **GET** /user-activations/{activation_key} | 
*DefaultApi* | [**get_user_by_email**](docs/DefaultApi.md#get_user_by_email) | **GET** /users/email-{email} | 
*DefaultApi* | [**get_user_by_reset_key**](docs/DefaultApi.md#get_user_by_reset_key) | **GET** /password-resets/{reset_key} | 
*DefaultApi* | [**get_user_roles**](docs/DefaultApi.md#get_user_roles) | **GET** /user-roles/{user_id} | 
*DefaultApi* | [**get_users**](docs/DefaultApi.md#get_users) | **GET** /users | 
*DefaultApi* | [**get_view**](docs/DefaultApi.md#get_view) | **GET** /views/{view_id} | 
*DefaultApi* | [**get_view_type**](docs/DefaultApi.md#get_view_type) | **GET** /view-types/{view_type_id} | 
*DefaultApi* | [**get_view_type_by_name**](docs/DefaultApi.md#get_view_type_by_name) | **GET** /view-types/name-{view_type_name} | 
*DefaultApi* | [**get_view_types**](docs/DefaultApi.md#get_view_types) | **GET** /view-types | 
*DefaultApi* | [**get_views**](docs/DefaultApi.md#get_views) | **GET** /views | 
*DefaultApi* | [**get_views_by_hash_keys**](docs/DefaultApi.md#get_views_by_hash_keys) | **GET** /views/view-hashes-{hash_keys} | 
*DefaultApi* | [**get_widget_type**](docs/DefaultApi.md#get_widget_type) | **GET** /widget-types/{widget_type_id} | 
*DefaultApi* | [**get_widget_type_by_name**](docs/DefaultApi.md#get_widget_type_by_name) | **GET** /widget-types/name-{widget_type_name} | 
*DefaultApi* | [**get_widget_types**](docs/DefaultApi.md#get_widget_types) | **GET** /widget-types | 
*DefaultApi* | [**load_client_package**](docs/DefaultApi.md#load_client_package) | **POST** /client-packages/load | 
*DefaultApi* | [**queue_entity_batch**](docs/DefaultApi.md#queue_entity_batch) | **POST** /entity-batches | 
*DefaultApi* | [**queue_partner_entity_batch**](docs/DefaultApi.md#queue_partner_entity_batch) | **POST** /entity-batches/partner-batches | 
*DefaultApi* | [**remove_role**](docs/DefaultApi.md#remove_role) | **DELETE** /roles/{role_id} | 
*DefaultApi* | [**remove_role_permission**](docs/DefaultApi.md#remove_role_permission) | **DELETE** /role-permissions/{role_permission_id} | 
*DefaultApi* | [**remove_user_role**](docs/DefaultApi.md#remove_user_role) | **DELETE** /user-roles/{user_id} | 
*DefaultApi* | [**replace_page**](docs/DefaultApi.md#replace_page) | **PUT** /pages/{page_id} | 
*DefaultApi* | [**request_password_reset**](docs/DefaultApi.md#request_password_reset) | **POST** /password-reset-requests | 
*DefaultApi* | [**reset_password**](docs/DefaultApi.md#reset_password) | **POST** /password-resets/{reset_key} | 
*DefaultApi* | [**update_api_key**](docs/DefaultApi.md#update_api_key) | **PATCH** /api-keys/{user_id} | 
*DefaultApi* | [**update_block_type**](docs/DefaultApi.md#update_block_type) | **PATCH** /block-types/{block_type_id} | 
*DefaultApi* | [**update_client**](docs/DefaultApi.md#update_client) | **PATCH** /clients/{client_id} | 
*DefaultApi* | [**update_dataset**](docs/DefaultApi.md#update_dataset) | **PATCH** /datasets/{dataset_id} | 
*DefaultApi* | [**update_dataset_type**](docs/DefaultApi.md#update_dataset_type) | **PATCH** /dataset-types/{dataset_type_id} | 
*DefaultApi* | [**update_integration**](docs/DefaultApi.md#update_integration) | **PATCH** /integrations/{integration_id} | 
*DefaultApi* | [**update_integration_type**](docs/DefaultApi.md#update_integration_type) | **PATCH** /integration-types/{integration_type_id} | 
*DefaultApi* | [**update_page**](docs/DefaultApi.md#update_page) | **PATCH** /pages/{page_id} | 
*DefaultApi* | [**update_page_preferences_by_page**](docs/DefaultApi.md#update_page_preferences_by_page) | **PATCH** /page-preferences/page-id-{page_id} | 
*DefaultApi* | [**update_role**](docs/DefaultApi.md#update_role) | **PATCH** /roles/{role_id} | 
*DefaultApi* | [**update_user**](docs/DefaultApi.md#update_user) | **PATCH** /users/{user_id} | 
*DefaultApi* | [**update_view_type**](docs/DefaultApi.md#update_view_type) | **PATCH** /view-types/{view_type_id} | 
*DefaultApi* | [**update_widget_type**](docs/DefaultApi.md#update_widget_type) | **PATCH** /widget-types/{widget_type_id} | 


## Documentation For Models

 - [Activity](docs/Activity.md)
 - [ApiKey](docs/ApiKey.md)
 - [BatchHistoryReceipt](docs/BatchHistoryReceipt.md)
 - [BatchReceipt](docs/BatchReceipt.md)
 - [Block](docs/Block.md)
 - [BlockType](docs/BlockType.md)
 - [Client](docs/Client.md)
 - [ClientPackage](docs/ClientPackage.md)
 - [ClientRefreshInterval](docs/ClientRefreshInterval.md)
 - [ClientRefreshSchedule](docs/ClientRefreshSchedule.md)
 - [ClientRefreshState](docs/ClientRefreshState.md)
 - [ClientUpdate](docs/ClientUpdate.md)
 - [Dataset](docs/Dataset.md)
 - [DatasetError](docs/DatasetError.md)
 - [DatasetType](docs/DatasetType.md)
 - [Entity](docs/Entity.md)
 - [EntityBatch](docs/EntityBatch.md)
 - [EntityBatchHealthReport](docs/EntityBatchHealthReport.md)
 - [EntityBatchPostData](docs/EntityBatchPostData.md)
 - [EntityIdentity](docs/EntityIdentity.md)
 - [Integration](docs/Integration.md)
 - [IntegrationLoaderSettings](docs/IntegrationLoaderSettings.md)
 - [IntegrationSyncHistory](docs/IntegrationSyncHistory.md)
 - [IntegrationType](docs/IntegrationType.md)
 - [IntegrationUpdate](docs/IntegrationUpdate.md)
 - [Job](docs/Job.md)
 - [JobOverview](docs/JobOverview.md)
 - [NavSettings](docs/NavSettings.md)
 - [Page](docs/Page.md)
 - [PagePreferences](docs/PagePreferences.md)
 - [PagePreferencesFilter](docs/PagePreferencesFilter.md)
 - [PageUpdate](docs/PageUpdate.md)
 - [PageView](docs/PageView.md)
 - [PartnerEntityBatch](docs/PartnerEntityBatch.md)
 - [PartnerEntityBatchPostData](docs/PartnerEntityBatchPostData.md)
 - [PasswordChangeRequest](docs/PasswordChangeRequest.md)
 - [PasswordResetChange](docs/PasswordResetChange.md)
 - [PasswordResetRequest](docs/PasswordResetRequest.md)
 - [Role](docs/Role.md)
 - [RolePermission](docs/RolePermission.md)
 - [Settings](docs/Settings.md)
 - [SettingsSpec](docs/SettingsSpec.md)
 - [User](docs/User.md)
 - [UserActivation](docs/UserActivation.md)
 - [UserRole](docs/UserRole.md)
 - [UserUpdate](docs/UserUpdate.md)
 - [View](docs/View.md)
 - [ViewError](docs/ViewError.md)
 - [ViewType](docs/ViewType.md)
 - [ViewTypeUpdate](docs/ViewTypeUpdate.md)
 - [Widget](docs/Widget.md)
 - [WidgetType](docs/WidgetType.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## basic

- **Type**: HTTP basic authentication

## jwt

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author



